Download it now!
Bug 122901 - Change tracking: paragraph top and bottom border lost after saving the document or missing in disabled Show changes mode
Summary: Change tracking: paragraph top and bottom border lost after saving the docume...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: All All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-23 14:01 UTC by László Németh
Modified: 2019-03-14 09:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2019-01-23 14:01:17 UTC
Using the default icon "Increase paragraph spacing" in Showing changes mode, the visible changes can lose at saving or disabling this mode.
Comment 1 László Németh 2019-01-23 15:30:52 UTC
Test:

1. open test document of Bug 105413 (https://bugs.documentfoundation.org/attachment.cgi?id=130522)
2. Increase paragraph spacing at the cursor position clicking few times on the icon of the default toolbar.
3. Disable Show changes mode: the extra paragraph border is missing.
Comment 2 Commit Notification 2019-01-24 07:17:59 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/6a54dd844d1821165642bbcc16bd12a01a23393d%5E%21

tdf#122901 track changes: keep paragraph top and bottom borders

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 László Németh 2019-03-14 09:24:31 UTC
Sorry: the test needs to set the cursor to the line "El extraño":

Test:

1. open test document of Bug 105413 (https://bugs.documentfoundation.org/attachment.cgi?id=130522)
2. set the cursor to the line "El extraño".
3. Increase paragraph spacing at the cursor position clicking few times on the icon of the default toolbar.
4. Disable Show changes mode: the extra paragraph border is missing.